Skip to main content
GET
/
admin
/
v0
/
posts
/
{post_id}
Retrieve post
curl --request GET \
  --url https://api.tightknit.ai/admin/v0/posts/{post_id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "content_created_at": "2023-11-07T05:31:56Z",
    "latest_activity_at": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "slug": "<string>",
    "feed_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "post_detail_display_format": "discussion",
    "author_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "slack",
    "file_attachments_count": 123,
    "reactions_count": 123,
    "comments_count": 123,
    "body_plaintext": "<string>",
    "author": {
      "profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "preferred_name": "<string>",
      "preferred_image_original": "<string>",
      "preferred_image_1024": "<string>",
      "preferred_image_512": "<string>",
      "preferred_image_192": "<string>",
      "preferred_image_72": "<string>",
      "preferred_image_48": "<string>",
      "preferred_image_32": "<string>",
      "preferred_image_24": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "[email protected]",
      "slack_user_id": "<string>",
      "slack_is_admin": true,
      "slack_is_bot": true,
      "slack_first_name": "<string>",
      "slack_last_name": "<string>",
      "slack_image_72": "<string>",
      "slack_image_original": "<string>"
    },
    "feed": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "label": "<string>",
      "slug": "<string>"
    },
    "body_prosemirror": {},
    "slack_message": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "message_ts": 123,
      "blocks": [
        {
          "type": "rich_text",
          "elements": [
            {
              "type": "rich_text_section",
              "elements": [
                {
                  "type": "broadcast",
                  "range": "here"
                }
              ]
            }
          ],
          "block_id": "<string>"
        }
      ],
      "markdown": "<string>",
      "permalink": "<string>",
      "parent_slack_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "username": "<string>",
      "icon": "<string>"
    },
    "edited_at": "2023-11-07T05:31:56Z",
    "cover_image_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "cover_image_url": "<string>",
    "references": {
      "mentioned_slack_users": [
        {
          "profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "preferred_name": "<string>",
          "slack_user_id": "<string>"
        }
      ],
      "mentioned_slack_channels": [
        {
          "slack_channel": {
            "id": "<string>",
            "name": "<string>"
          },
          "feed": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "label": "<string>",
            "slug": "<string>"
          }
        }
      ],
      "custom_emojis": [
        {
          "alias": "<string>",
          "name": "<string>",
          "url": "<string>"
        }
      ],
      "urls": [
        {
          "order_seen": 123,
          "is_embedded_media": true,
          "is_image": true,
          "is_video": true,
          "url": "<string>"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

post_id
string
required
Required string length: 12

Response

Post details

success
boolean
required
data
object
required